Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.text.linebreak
Class LineBreakUtils

    java.lang.Object
      org.apache.fop.text.linebreak.LineBreakUtils

    public final class LineBreakUtils

extends java.lang.Object

Line breaking utilities.

Field Summary
`static byte` | `COMBINING_INDIRECT_BREAK` Break class constant
`static byte` | `COMBINING_PROHIBITED_BREAK` Break class constant
`static byte` | `DIRECT_BREAK` Break class constant
`static byte` | `EXPLICIT_BREAK` Break class constant
`static byte` | `INDIRECT_BREAK` Break class constant
`static byte` | `LINE_BREAK_PROPERTY_AI` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_AL` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_B2` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_BA` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_BB` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_BK` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_CB` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_CL` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_CM` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_CP` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_CR` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_EX` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_GL` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_H2` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_H3` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_HY` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_ID` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_IN` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_IS` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_JL` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_JT` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_JV` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_LF` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_NL` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_NS` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_NU` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_OP` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_PO` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_PR` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_QU` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_SA` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_SG` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_SP` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_SY` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_WJ` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_XX` Linebreak property constant
`static byte` | `LINE_BREAK_PROPERTY_ZW` Linebreak property constant
`static byte` | `PROHIBITED_BREAK` Break class constant

Method Summary
`static byte` | `getLineBreakPairProperty(int lineBreakPropertyBefore, int lineBreakPropertyAfter)` Return the break class constant for the given pair of linebreak property constants.
`static byte` | `getLineBreakProperty(char c)` Return the linebreak property constant for the given `char`
`static java.lang.String` | `getLineBreakPropertyLongName(byte i)` Return the long name for the linebreak property corresponding to the given symbolic constant.
`static java.lang.String` | `getLineBreakPropertyShortName(byte i)` Return the short name for the linebreak property corresponding to the given symbolic constant.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIRECT_BREAK

    public static final byte DIRECT_BREAK

  Break class constant

  See Also:
    Constant Field Values

### INDIRECT_BREAK

    public static final byte INDIRECT_BREAK

  Break class constant

  See Also:
    Constant Field Values

### COMBINING_INDIRECT_BREAK

    public static final byte COMBINING_INDIRECT_BREAK

  Break class constant

  See Also:
    Constant Field Values

### COMBINING_PROHIBITED_BREAK

    public static final byte COMBINING_PROHIBITED_BREAK

  Break class constant

  See Also:
    Constant Field Values

### PROHIBITED_BREAK

    public static final byte PROHIBITED_BREAK

  Break class constant

  See Also:
    Constant Field Values

### EXPLICIT_BREAK

    public static final byte EXPLICIT_BREAK

  Break class constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_AI

    public static final byte LINE_BREAK_PROPERTY_AI

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_AL

    public static final byte LINE_BREAK_PROPERTY_AL

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_B2

    public static final byte LINE_BREAK_PROPERTY_B2

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_BA

    public static final byte LINE_BREAK_PROPERTY_BA

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_BB

    public static final byte LINE_BREAK_PROPERTY_BB

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_BK

    public static final byte LINE_BREAK_PROPERTY_BK

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_CB

    public static final byte LINE_BREAK_PROPERTY_CB

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_CL

    public static final byte LINE_BREAK_PROPERTY_CL

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_CM

    public static final byte LINE_BREAK_PROPERTY_CM

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_CP

    public static final byte LINE_BREAK_PROPERTY_CP

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_CR

    public static final byte LINE_BREAK_PROPERTY_CR

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_EX

    public static final byte LINE_BREAK_PROPERTY_EX

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_GL

    public static final byte LINE_BREAK_PROPERTY_GL

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_H2

    public static final byte LINE_BREAK_PROPERTY_H2

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_H3

    public static final byte LINE_BREAK_PROPERTY_H3

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_HY

    public static final byte LINE_BREAK_PROPERTY_HY

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_ID

    public static final byte LINE_BREAK_PROPERTY_ID

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_IN

    public static final byte LINE_BREAK_PROPERTY_IN

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_IS

    public static final byte LINE_BREAK_PROPERTY_IS

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_JL

    public static final byte LINE_BREAK_PROPERTY_JL

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_JT

    public static final byte LINE_BREAK_PROPERTY_JT

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_JV

    public static final byte LINE_BREAK_PROPERTY_JV

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_LF

    public static final byte LINE_BREAK_PROPERTY_LF

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_NL

    public static final byte LINE_BREAK_PROPERTY_NL

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_NS

    public static final byte LINE_BREAK_PROPERTY_NS

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_NU

    public static final byte LINE_BREAK_PROPERTY_NU

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_OP

    public static final byte LINE_BREAK_PROPERTY_OP

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_PO

    public static final byte LINE_BREAK_PROPERTY_PO

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_PR

    public static final byte LINE_BREAK_PROPERTY_PR

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_QU

    public static final byte LINE_BREAK_PROPERTY_QU

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_SA

    public static final byte LINE_BREAK_PROPERTY_SA

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_SG

    public static final byte LINE_BREAK_PROPERTY_SG

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_SP

    public static final byte LINE_BREAK_PROPERTY_SP

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_SY

    public static final byte LINE_BREAK_PROPERTY_SY

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_WJ

    public static final byte LINE_BREAK_PROPERTY_WJ

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_XX

    public static final byte LINE_BREAK_PROPERTY_XX

  Linebreak property constant

  See Also:
    Constant Field Values

### LINE_BREAK_PROPERTY_ZW

    public static final byte LINE_BREAK_PROPERTY_ZW

  Linebreak property constant

  See Also:
    Constant Field Values

Method Detail

### getLineBreakPropertyShortName

    public static java.lang.String getLineBreakPropertyShortName(byte i)

  Return the short name for the linebreak property corresponding to the given symbolic constant.

  Parameters:
    `i` - the numeric value of the linebreak property
  Returns:
    the short name of the linebreak property

### getLineBreakPropertyLongName

    public static java.lang.String getLineBreakPropertyLongName(byte i)

  Return the long name for the linebreak property corresponding to the given symbolic constant.

  Parameters:
    `i` - the numeric value of the linebreak property
  Returns:
    the long name of the linebreak property

### getLineBreakProperty

    public static byte getLineBreakProperty(char c)

  Return the linebreak property constant for the given `char`

  Parameters:
    `c` - the `char` whose linebreak property to return
  Returns:
    the constant representing the linebreak property

### getLineBreakPairProperty

    public static byte getLineBreakPairProperty(int lineBreakPropertyBefore,
                                                int lineBreakPropertyAfter)

  Return the break class constant for the given pair of linebreak property constants.

  Parameters:
    `lineBreakPropertyBefore` - the linebreak property for the first character in a two-character sequence
    `lineBreakPropertyAfter` - the linebreak property for the second character in a two-character sequence
  Returns:
    the constant representing the break class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.